Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class DialogProcessingWrapper

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.botmanager.common.bean.DialogProcessingWrapper

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class DialogProcessingWrapper
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DialogProcessingWrapper()` |
  `DialogProcessingWrapper​(java.lang.String title, java.lang.String pathToImplClass)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getId()` | Возвращает id объекта
  `java.lang.String` | `getPathToImplClass()` |
  `java.lang.String` | `getTitle()` | Возвращает название (описание) объекта
  `void` | `setPathToImplClass​(java.lang.String pathToImplClass)` |
  `void` | `setTitle​(java.lang.String title)` | Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DialogProcessingWrapper

    public DialogProcessingWrapper()

  - ### DialogProcessingWrapper

    public DialogProcessingWrapper​(java.lang.String title, java.lang.String pathToImplClass)

- ## Method Details

  - ### getTitle

    public java.lang.String getTitle()
    Description copied from class: `IdTitle`
    Возвращает название (описание) объекта
    Specified by:
      `getTitle` in interface `ListItem`
    Overrides:
      `getTitle` in class `IdTitle`

  - ### setTitle

    public void setTitle​(java.lang.String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### getPathToImplClass

    public java.lang.String getPathToImplClass()

  - ### setPathToImplClass

    public void setPathToImplClass​(java.lang.String pathToImplClass)

  - ### getId

    public int getId()
    Description copied from class: `Id`
    Возвращает id объекта
    Specified by:
      `getId` in interface `Idable`
    Specified by:
      `getId` in interface `ListItem`
    Overrides:
      `getId` in class `Id`
    Returns: